#include <bits/stdc++.h>
using namespace std;

int main(){
int n, k;
std::cin >> n >> k;
int *p; p=new int[n];
for (int i=0; i<n; i++){
    cin >> p[i];
}
int i=n;
while (i--){
    if(p[i]==k){
        break;
    }
}
if (i==(n-1)) i=-1;
    std::cout << p[i+1] << std::endl;
return 0;
}